# Uses of Interface
org.eclipse.jdt.core.IBufferFactory

Packages that use IBufferFactory
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of IBufferFactory in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core with parameters of type IBufferFactory
Modifier and Type
Method
Description
`IJavaElement`
IWorkingCopy.`findSharedWorkingCopy(IBufferFactory bufferFactory)`
Deprecated.
Use `ICompilationUnit.findWorkingCopy(WorkingCopyOwner)` instead.
`static IWorkingCopy[]`
JavaCore.`getSharedWorkingCopies(IBufferFactory factory)`
Deprecated.
Use `JavaCore.getWorkingCopies(WorkingCopyOwner)` instead
`IJavaElement`
IWorkingCopy.`getSharedWorkingCopy(org.eclipse.core.runtime.IProgressMonitor monitor, IBufferFactory factory, IProblemRequestor problemRequestor)`
Deprecated.
Use `ICompilationUnit.getWorkingCopy(WorkingCopyOwner, IProblemRequestor, IProgressMonitor)` instead.
`IJavaElement`
IClassFile.`getWorkingCopy(org.eclipse.core.runtime.IProgressMonitor monitor, IBufferFactory factory)`
Deprecated.
Use `ITypeRoot.getWorkingCopy(WorkingCopyOwner, IProgressMonitor)` instead
`IJavaElement`
IWorkingCopy.`getWorkingCopy(org.eclipse.core.runtime.IProgressMonitor monitor, IBufferFactory factory, IProblemRequestor problemRequestor)`
Deprecated.
Use `ICompilationUnit.getWorkingCopy(WorkingCopyOwner, IProblemRequestor, IProgressMonitor)` instead.

## Uses of IBufferFactory in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui that return IBufferFactory
Modifier and Type
Method
Description
`static IBufferFactory`
JavaUI.`getBufferFactory()`
Deprecated.
`IBufferFactory` has been replaced by `WorkingCopyOwner`.